API Reference
List vector stores
Lists the account’s knowledge bases using the OpenAI vector_store name. See Knowledge bases.
GET
/
v1
/
vector_stores
List vector stores
curl --request GET \
--url https://api.synapsai.cloud/v1/vector_storesimport requests
url = "https://api.synapsai.cloud/v1/vector_stores"
response = requests.get(url)
print(response.text){
"object": "list",
"data": [
{
"id": "<string>",
"object": "vector_store",
"name": "<string>",
"status": "in_progress",
"created_at": 123,
"description": "<string>",
"file_counts": {
"in_progress": 123,
"completed": 123,
"failed": 123,
"cancelled": 123,
"total": 123
},
"last_active_at": 123,
"metadata": {},
"usage_bytes": 123,
"expires_at": 123
}
],
"has_more": true,
"first_id": "<string>",
"last_id": "<string>"
}Query Parameters
⌘I
List vector stores
curl --request GET \
--url https://api.synapsai.cloud/v1/vector_storesimport requests
url = "https://api.synapsai.cloud/v1/vector_stores"
response = requests.get(url)
print(response.text){
"object": "list",
"data": [
{
"id": "<string>",
"object": "vector_store",
"name": "<string>",
"status": "in_progress",
"created_at": 123,
"description": "<string>",
"file_counts": {
"in_progress": 123,
"completed": 123,
"failed": 123,
"cancelled": 123,
"total": 123
},
"last_active_at": 123,
"metadata": {},
"usage_bytes": 123,
"expires_at": 123
}
],
"has_more": true,
"first_id": "<string>",
"last_id": "<string>"
}